# Interface RequestInfo

All Known Implementing Classes:
  `RequestInfoImpl`

public interface RequestInfo

Version:
  $Revision: 674365 $

## Method Summary

Modifier and Type
Method
Description
`long`
`getBytesReceived()`
`long`
`getBytesSent()`
`long`
`getErrorCount()`
`int`
`getMaxTime()`
`int`
`getProcessingTime()`
`long`
`getRequestCount()`
`void`
`setBytesReceived(long value)`
`void`
`setBytesSent(long value)`
`void`
`setErrorCount(long value)`
`void`
`setMaxTime(int value)`
`void`
`setProcessingTime(int value)`
`void`
`setRequestCount(long value)`

## Method Details

### getBytesReceived

long getBytesReceived()

### setBytesReceived

void setBytesReceived(long value)

### getBytesSent

long getBytesSent()

### setBytesSent

void setBytesSent(long value)

### getRequestCount

long getRequestCount()

### setRequestCount

void setRequestCount(long value)

### getErrorCount

long getErrorCount()

### setErrorCount

void setErrorCount(long value)

### getMaxTime

int getMaxTime()

### setMaxTime

void setMaxTime(int value)

### getProcessingTime

int getProcessingTime()

### setProcessingTime

void setProcessingTime(int value)